# radius_put_attr

(PECL radius >= 1.1.0)

radius_put_attr — Attache un attribut binaire

### Description

radius_put_attr(
resource `$radius_handle`,
int `$type`,
string `$value`,
int `$options` = 0,
int `$tag` = ?
): bool

Attache un attribut binaire à la requête RADIUS courante.

> Note:

> Une requête doit être créée via la fonction radius_create_request() avant que cette fonction puisse être appelée.

### Liste de paramètres

`radius_handle`

  La ressource RADIUS.

`type`

  Le type d'attribut.

`value`

  La valeur de l'attribut, qui sera traité comme une chaîne binaire brûte.

`options`

  Un masqe d'options d'attribut. Les options disponibles incluent `RADIUS_OPTION_TAGGED` et `RADIUS_OPTION_SALT`.

`tag`

  L'attribut tag. Ce paramètre est ignoré tant que l'option `RADIUS_OPTION_TAGGED` est défini.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Historique

Version | Description
--- | ---
PECL radius 1.3.0 | Les paramètres `options` et `tag` ont été ajoutés.

### Exemples

Exemple #1 Exemple avec radius_put_attr()

`<?php
mt_srand(time());
$chall = mt_rand();
$chapval = hash('md5', pack('Ca*',1 , 'sepp' . $chall));
$pass = pack('CH*', 1, $chapval);
if (!radius_put_attr($res, RADIUS_CHAP_PASSWORD, $pass)) {
echo 'RadiusError:' . radius_strerror($res). "\n<br />";
exit;
}
?>`

### Voir aussi

- radius_get_attr() - Extrait un attribut
- radius_get_vendor_attr() - Extrait un attribut spécifique au vendeur
- radius_put_vendor_attr() - Attache un attribut binaire à un vendeur spécifique